# $Id: squidguard.spec 4308 2006-04-21 22:20:20Z dries $
# Authority: dag
# Upstream: <squidguard$squidguard,org>

%{?dist: %{expand: %%define %dist 1}}

%define _real_name squidGuard
%define _dbhomedir %{_var}/lib/squidguard

Summary: Combined filter, redirector and access controller plugin for squid
Name: squidguard
Version: 1.4
Release: 3
License: GPL
Group: System Environment/Daemons
URL: http://www.squidguard.org/

Source: http://www.squidguard.org/Downloads/squidGuard-%{version}.tar.gz
Patch0: squidguard-1.4-logname.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: bison, flex, perl, db4-devel
Requires: squid
Obsoletes: squidGuard
Provides: squidGuard

%description
squidGuard is a combined filter, redirector and access controller
plugin for squid. squidGuard can be used to limit or block access
users to a list of webservers, based on keywords.

%prep
%setup -n %{_real_name}-%{version}
%patch0 -p1

%{__perl} -pi.orig -e '
		s|^(dbhome) .+$|$1 \@sg_dbhome\@|;
		s|^(logdir) .+$|$1 \@sg_logdir\@|;
	' samples/sample.conf.in

%{__cat} <<EOF >%{name}.logrotate
%{_var}/log/squid/squidguard.log {
	missingok
	copytruncate
	notifempty
}
EOF

%build
%configure \
	--with-sg-config="%{_sysconfdir}/squid/squidguard.conf" \
	--with-sg-logdir="%{_var}/log/squid" \
	--with-sg-dbhome="%{_dbhomedir}"

%{__make} %{?_smp_mflags} LIBS="-ldb -lpthread"

%{__mv} samples/squidGuard.cgi samples/squidguard.cgi
%{__mv} samples/squidGuard-simple.cgi samples/squidguard-simple.cgi
%{__mv} doc/squidGuard.gif doc/squidguard.gif

%{__rm} -rf samples/squidGuard-simple-de.cgi

%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot}

%{__install} -p -D -m 0755 src/squidGuard %{buildroot}%{_bindir}/squidguard

%{__install} -p -D -m 0644 samples/sample.conf %{buildroot}%{_sysconfdir}/squid/squidguard.conf
%{__install} -p -D -m 0644 %{name}.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/squidguard

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc samples/*.conf samples/*.cgi
%doc doc/*.gif doc/*.html doc/*.txt
%config(noreplace) %{_sysconfdir}/squid/squidguard.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/squidguard
%{_bindir}/*

%changelog
* Sat Jan 31 2009 Ryan Wagoner <rswagoner@gmail.com> - 1.4-3
- Update to version 1.4.

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 1.2.0-2.2
- Rebuild for Fedora Core 5.

* Tue Mar 09 2004 Dag Wieers <dag@wieers.com> - 1.2.0-2
- Added patch for db4 (RHEL3 and RHFC1). (Tom Gordon)

* Sat Apr 12 2003 Dag Wieers <dag@wieers.com> - 1.2.0-1
- Removed the default blacklists.

* Thu Jan 09 2003 Dag Wieers <dag@wieers.com> - 1.2.0-0
- Initial package. (using DAR)
